org.springframework.web.socket.adapter.standard

## Class StandardWebSocketHandlerAdapter

- java.lang.Object
- - javax.websocket.Endpoint
  - - org.springframework.web.socket.adapter.standard.StandardWebSocketHandlerAdapter

-     public class StandardWebSocketHandlerAdapter
      extends javax.websocket.Endpoint

  Adapts a `WebSocketHandler` to the standard WebSocket for Java API.
  Since:
    4.0
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardWebSocketHandlerAdapter(WebSocketHandler handler, StandardWebSocketSession wsSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClose(javax.websocket.Session session, javax.websocket.CloseReason reason)`
    `void` | `onError(javax.websocket.Session session, Throwable exception)`
    `void` | `onOpen(javax.websocket.Session session, javax.websocket.EndpointConfig config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardWebSocketHandlerAdapter

          public StandardWebSocketHandlerAdapter(WebSocketHandler handler,
                                                 StandardWebSocketSession wsSession)

  - ### Method Detail

    - #### onOpen

          public void onOpen(javax.websocket.Session session,
                             javax.websocket.EndpointConfig config)

      Specified by:
        `onOpen` in class `javax.websocket.Endpoint`

    - #### onClose

          public void onClose(javax.websocket.Session session,
                              javax.websocket.CloseReason reason)

      Overrides:
        `onClose` in class `javax.websocket.Endpoint`

    - #### onError

          public void onError(javax.websocket.Session session,
                              Throwable exception)

      Overrides:
        `onError` in class `javax.websocket.Endpoint`